local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("Mounted", "enUS", true)
if not L then return end

--======Special locations======--
L["Temple of Ahn'Qiraj"] = true
L["Dalaran"] = true
L["Krasus' Landing"] = true
L["The Underbelly"] = true
L["Wintergrasp"] = true

--======Config======--
-- FAQ
L["FAQheader"] = "Macro Tags"
L["FAQdesc"] = [[Here are tags you may use to customize the the above macros:
    <ff> == Random Flying Mount (fastest speed increase)
    <f310> == Random Flying Mount (310% speed increase)
    <f280> == Random Flying Mount (280% speed increase)
    <f60> == Random Flying Mount (60% speed increase)
    <fs> == Random Flying Mount (scaling speed increase)
    <gf> == Random Ground Mount (fastest speed increase)
    <g100> == Random Ground Mount (100% speed increase)
    <g60> == Random Ground Mount (60% speed increase)
    <g0> == Random Ground Mount (0% speed increase)
    <gaq> == Random Ahn'Qiraj Mount
    <s#> == spell replace # with the spell id (it will not add the rank to the macro so it will scale)]]

--Default Macros
L["Default"] = true
L["Default Dismount"] = true
L["New"] = true

--Macro options
L['Ground'] = true
L['Flight'] = true
L["Ahn'Qiraj"] = true
L['Select'] = true
L['Name'] = true
L['NameError'] = '%s is unavailable as a macro name for this type.'
L['Macro'] = true
L['Set Macro'] = true
L['Will set the macro to the selected one.\nWill also save the macro.'] = true
L['Reset Macro'] = true
L['Will discard all changes and reset the macro to the previous one.'] = true
L['Delete Macro'] = true
L['Will delete the selected macro and revert to the default macro.'] = true
L["Combat"] = true
L["CMdesc"] = "Macro that will show during combat.\nThis Macro will be used raw and will not be parsed."
L["CMerror"] = "Macro exceeds the 255 character limit!"
L['This Macro will be used in any location you may fly!'] = true
L['This Macro will be used in any location you may ride!'] = true
L["This Macro will be used in Ahn'Qiraj"] = true
L["This Macro will be used in Combat and Indoors!"] = true
L["global"] = 'Globally'
L['char'] = 'per Character'
L['class'] = 'per Class'
L['race'] = 'per Race'
L['db'] = 'Macro selection will be saved:'
L['dbdesc'] = 'Select how you want Mounted to remember you macro selection.'
L['Preview'] = true
L['Toggle Preview'] = 'Parses macro and shows you possible result'

-- Mount types
L["%s: %s"] = '%s: %s'
L["g"] = "Ground Mount"
L["f"] = "Flying Mount"
L["310"] = "310%"
L["280"] = "280%"
L["100"] = "100%"
L["60"] = "60%"
L["0"] = "Vanity"
L["aq"] = "Ahn'Qiraj"
L["s"] = "Scaling"
